Retrieves all items
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
db_info_field| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier | |
| db_info_id |
Foreign key to db_info (chapters) |
globally unique identifier |
Optionally required : db_info_id,db_info_code or node db_info must be provided |
| db_info_code |
Embedded entity "db_info" using ERP PK when adding/updating db_info_field |
string |
Optionally required : db_info_id ,db_info_code or node db_info must be provided |
| db_info |
Embedded entity "db_info" (chapter) when adding/updating db_info_field |
db_info |
Optionally required : db_info_id,db_info_code or node db_info must be provided |
| db_input_type_id |
Type of the fied (like Textbox,TextArea) |
globally unique identifier |
Optionally required : db_input_type_id or db_input_type_code must be provided |
| db_input_type_code |
Use of the possible type : TextBox,TextArea,SelectBox,RadioButton,DateTime,NumericField,Checkbox,ComboBox,Email,Url,DatePicker,MonthCalendar,TimePiker,Number |
string |
Optionally required : db_input_type_id or db_input_type_code must be provided |
| name |
Name/Code of the info field.Field used for Embedded entity (store there your ERP PK) |
string |
Required Max length: 50 |
| title |
Title that will be shown on the UI of the info field |
string |
Required Max length: 50 |
| sequence |
Sorting field (0 first), to order them inside the chapter |
integer | |
| description |
Description of the field |
string |
Max length: 255 |
| is_mandatory |
Force user to fill it before saving |
boolean | |
| is_readonly |
Avoid user to edit the value using the UI |
boolean | |
| hide_in_view_if_empty |
Hide this field in view mode if no value |
boolean | |
| udf_name |
Name of udf column that links to info field (read-only) |
string | |
| visible_on_app |
Visible this field on app |
boolean | |
| archived | boolean |
Response Formats
application/json, text/json
{
"id": "6b9cd9bb-0511-4eef-87d0-83b20a7a15d2",
"db_info_id": "8bfea25d-e061-4948-bb44-0634f5e67381",
"db_info_code": "sample string 3",
"db_info": {
"id": "8d2d56db-37c6-474c-a5a1-4d686c65ed8a",
"name": "sample string 2",
"code": "sample string 3",
"sequence": 4,
"db_info_category_id": "ed0c0fc8-07da-4e18-ab72-d27132e36bf7",
"db_info_category_code": "sample string 6",
"parent_id": "0e5f7d52-a7c3-47df-b89b-b04eb661db92",
"parent_db_info_code": "sample string 8",
"modified_dateutc": "2026-09-09T11:46:09.7439579+00:00"
},
"db_input_type_id": "2fb58986-0be4-46a4-b7be-8a5490a46e07",
"db_input_type_code": "sample string 5",
"name": "sample string 6",
"title": "sample string 7",
"sequence": 8,
"description": "sample string 9",
"is_mandatory": true,
"is_readonly": true,
"hide_in_view_if_empty": true,
"udf_name": "sample string 13",
"visible_on_app": true,
"archived": true
}